#include "..\script_component.hpp"

/*
 * Function: forge_client_org_fnc_verifyOrgStore
 * Author: J. Schmidt
 * 
 * Description:
 * Ensures the store is initialized and returns the store object
 *
 * Arguments:
 * None
 *
 * Return Value:
 * Store object <OBJECT>
 */

private _store = GETMVAR(FORGE_ORG_STORE_REG,nil);
if (isNil "_store") then {
    _store = [] call FUNC(initOrgStore);
};

_store